PETSc version 3.15.5
Fix/Edit manual page

# PetscSectionGetClosurePermutation

Get the dof permutation for the closure of each cell in the section, meaning clPerm[newIndex] = oldIndex.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetClosurePermutation(PetscSection section, PetscObject obj, PetscInt depth, PetscInt clSize, IS *perm)

Not collective

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index (usually a DM)
| depth | - Depth stratum on which to obtain closure permutation
| clSize | - Closure size to be permuted (e.g., may vary with element topology and degree)

### Output Parameter

| perm | - The dof closure permutation

### Note

The user must destroy the IS that is returned.

### See Also

PetscSectionSetClosurePermutation(), PetscSectionGetClosureInversePermutation(), PetscSectionGetClosureIndex(), PetscSectionSetClosureIndex(), DMPlexCreateClosureIndex()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages